Bug 1007746 (CVE-2013-4346) - CVE-2013-4346 python-oauth2: _check_signature() ignores the nonce value when validating signed urls
Summary: CVE-2013-4346 python-oauth2: _check_signature() ignores the nonce value when ...
Status: CLOSED ERRATA
Alias: CVE-2013-4346
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130204,repor...
Keywords: Reopened, Security
Depends On: 1007766 1007767 1121874
Blocks: 1007764 1145400
TreeView+ depends on / blocked
 
Reported: 2013-09-13 09:10 UTC by Ratul Gupta
Modified: 2019-06-08 19:43 UTC (History)
17 users (show)

(edit)
It was found that python-oauth2 did not properly verify the nonce of a signed URL. An attacker able to capture network traffic of a website using OAuth2 authentication could use this flaw to conduct replay attacks against that website.
Clone Of:
(edit)
Last Closed: 2015-08-12 21:54:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1591 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 7 2015-08-12 08:49:40 UTC
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Ratul Gupta 2013-09-13 09:10:15 UTC
It was found that _check_signature() in python-oauth2, an application for authorization flows for web application, ignored the nonce values when validating signed urls. This could allow MITM attackers to conduct replay attacks.

References:
http://www.openwall.com/lists/oss-security/2013/09/12/7
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=722656
https://github.com/simplegeo/python-oauth2/issues/129

Comment 1 Ratul Gupta 2013-09-13 09:38:00 UTC
Created python-oauth2 tracking bugs for this issue:

Affects: fedora-all [bug 1007766]
Affects: epel-6 [bug 1007767]

Comment 4 Kurt Seifried 2014-07-22 07:30:16 UTC
CloudForms Management Engine no longer includes python-oauth2, so removing.

Comment 5 Fedora Update System 2014-09-26 09:04:32 UTC
python-oauth2-1.5.211-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-26 09:06:26 UTC
python-oauth2-1.5.211-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-09-27 09:51:15 UTC
python-oauth2-1.5.211-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-28 06:43:47 UTC
python-oauth2-1.5.211-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-28 06:46:05 UTC
python-oauth2-1.5.211-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-28 10:57:34 UTC
python-oauth2-1.5.211-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-28 11:04:09 UTC
python-oauth2-1.5.211-8.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-01 16:22:10 UTC
python-oauth2-1.5.211-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2015-08-12 04:51:48 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.1

Via RHSA-2015:1591 https://access.redhat.com/errata/RHSA-2015:1591

Comment 15 errata-xmlrpc 2015-08-12 05:07:26 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.1

Via RHSA-2015:1592 https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.